+++
Categories = ["BLSE"]
Description = "In this series, I discuss my homelab: what it is, how it's set up, and what it does. Part one discusses the physical components of the lab."
Tags = ["homelab", "cableporn", "blse"]
date = "2016-10-18T22:54:45-04:00"
menu = "main"
title = "Anatomy of a Homelab, part I - Meatspace"

+++

It's late 2016, and the "cloud" is everywhere. It is a mythical, monlithic entity at this point, provided by Amazon and Google and Microsoft, and  meaning: "I don't need to spend money on hardware". But despite the widely-held beliefs of middle-managers and salesfolk, even the most modern of "clouds" needs something tangable - power and cooling and machines - humming along somewhere. When I first started with homelabs, they were small: a router and a server running some flavour of Windows or Linux, which could easily be mistaken for almost any corporate deployment in the late-2000's. As time has passed and I've grown into a seasoned Linux sysadmin, I've expanded and expanded my lab. However, while many of my ilk were flocking to the new cloud, with its on-demand instances and smooth monthly billing, I instead chose to double-down. I've always loved the hardware, and taking ownership of my house, I was finally able to get away with plans I never could before. And as the plans matured along with my abilities, I started looking to that cloud as inspiration. Today, I can safely say I'm proud of the cloud I've built, and hope now to share it with you, to entertain, to inform, and to inspire. My growth in knowledge has been long, and will never end, but at this time I hope I can impart something onto you! Please enjoy your read.

# Anatomy of a Homelab, part I - Meatspace

This is a lorem ipsum text. It is designed to mimic normal English text but was composed, verbatim, by Joshua Boniface on this, a warm, balmy fall night in October, while enjoying a smoke. As I thought about my day, I began to write a blog post. This post now contains this stream-of-consciousness text. I hope you enjoy it.
